Summary:	The GNU data compression program
Name:		gzip
Version:	1.2.4a
Release:	6mdk
License:	GPL
Group:		Archiving/Compression

Source:		ftp://ftp.gnu.org/pub/gnu/gzip/gzip-1.2.4a.tar.bz2
Patch:		gzip-1.2.4-basename.patch.bz2
Patch1:		gzip-1.2.4-gzexe.patch.bz2
Patch2:		gzip-1.2.4-mktemp.patch.bz2
Patch3:		gzip-1.2.4-zforce.patch.bz2
Patch4:		gzip-1.2.4-4g.patch.bz2
Patch5:		gzip-1.2.4a-fixinfo.patch.bz2
Patch6:		gzip-64bit.patch.bz2
Prereq:		/sbin/install-info
Requires:	mktemp less
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	texinfo

%description
The gzip package contains the popular GNU gzip data compression
program.  Gzipped files have a .gz extension.  

Gzip should be installed on your Linux Mandrake system, because it is a
very commonly used data compression program.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1 -b .64bit

%build
export DEFS="-DNO_ASM"
%configure
%make all gzip.info
make test

%install
install -d %buildroot/%_mandir

%makeinstall mandir=%buildroot/%_mandir/man1

install -d %buildroot/bin

mv -f %buildroot/%_bindir/gzip %buildroot/bin/gzip

rm -f %buildroot/%_bindir/gunzip
rm -f %buildroot/%_bindir/zcat

ln -f %buildroot/bin/gzip %buildroot/bin/gunzip
ln -f %buildroot/bin/gzip %buildroot/bin/zcat
ln -sf ../../bin/gzip %buildroot/%_bindir/gzip
ln -sf ../../bin/gunzip %buildroot/%_bindir/gunzip

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -e "s|%buildroot||g" < %buildroot/%_bindir/$i > %buildroot/%_bindir/.$i
	rm -f %buildroot/%_bindir/$i
	mv %buildroot/%_bindir/.$i %buildroot/%_bindir/$i
	chmod 755 %buildroot/%_bindir/$i
done

cat > %buildroot/%_bindir/zless <<EOF
#!/bin/sh
export LESSOPEN="|lesspipe.sh %s"
less "\$@"
EOF
chmod 755 %buildroot/%_bindir/zless

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc NEWS README
/bin/*
%_bindir/*
%_mandir/*/*
%_infodir/gzip.info*

%changelog
* Fri Apr 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.4a-6mdk
- added 64bit support (for files larger than 2GB).
- added make test.

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.4a-5mdk
- BuildRequires: texinfo
- Spec clean up

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4a-4mdk
- Fix info file.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4a-3mdk
- More macros for install-info.
- Remove lesspipe.sh (moved to less package).

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.4a-2mdk
- BM
- use new macros

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 1.2.4a-1mdk
- Updated sources to 1.2.4a (minor doc changes)
- Updated rpm group
- Cleanup to conform to spec-helper 

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.4-19mdk
- added lesspipe.sh (allowing zless to handle arbitrary compressions
  methods, but also allows to use less command line parameters on zless,
  and use arrows keys to navigate between various files; that is a nice
  and useful zless not one only limited to "zcat $* | less" )

* Thu Dec 16 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Added 4g patch, from www.gzip.org

* Thu Dec 16 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed zforce.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix building as user.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- built against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- added %{_bindir}/gzip and %{_bindir}/gunzip symlinks as some programs are too
  brain dead to figure out they should be at least trying to use $PATH
- added BuildRoot

* Wed Jan 28 1998 Erik Troan <ewt@redhat.com>
- fix /tmp races

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info
- applied patch for gzexe

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Marc Ewing <marc@redhat.com>
- (Entry added for Marc by Erik) fixed gzexe to use /bin/gzip
